# Used by Nortel Directory Server
#######################################################################
# Used by Nortel Directory Server
#
#######################################################################
# ldapdebug - sets the debug level. Possible values:
#        LDAP_DEBUG_TRACE        1
#        LDAP_DEBUG_PACKETS      2
#        LDAP_DEBUG_ARGS         4
#        LDAP_DEBUG_CONNS        8
#        LDAP_DEBUG_BER          16
#        LDAP_DEBUG_FILTER       32
#        LDAP_DEBUG_CONFIG       64
#        LDAP_DEBUG_ACL          128
#        LDAP_DEBUG_STATS        256
#        LDAP_DEBUG_STATS2       512
#        LDAP_DEBUG_SHELL        1024
#        LDAP_DEBUG_PARSE        2048
#		 LDAP_DEBUG_SQL_W		 32768
#        LDAP_DEBUG_ANY          65535
ldapdebug	0

#######################################################################
# eventlog - enables the logging to Windows NT event log
eventlog	0

#######################################################################
# includes the attribute configuration file (full path)
#include	"slapd.at.conf"

#######################################################################
# includes the objectclass configuration file (full path)
#include	"slapd.oc.conf"

#######################################################################
# sizelimit - the maximum entries number allowed to be returned by a
# search result
# default value: 3000
# can be reduced by the client (ldapsearch parameter: -z)
sizelimit	200

#######################################################################
# timelimit - the maximum time allowed for a search (in seconds)
# default value: 3600
# can be reduced by the client (ldapsearch parameter: -l)
timelimit       300

#######################################################################
# schemacheck - enforces a schema check for the entry to be added or
# modified
# possible values: "on", "off"
# default value: on
# Note: Unless the objectclass schema is respected thoroughly, this
# parameter should be "off"
schemacheck     off

#######################################################################
# lastmod - accept the "add operation" if 1 && (2 || 3)
# 1) there is an add function implemented in this back-end;
# 2) this back-end is master for what it holds;
# 3) it's a replica and the dn supplied is the updatedn.
# possible values: "on", "off"
# default value: on
lastmod		on


#######################################################################
# sockets - the maximum number of concurent accesses
# possible values: 1 to 'n', where 'n' is OS depending (the maximum
# number of Windows NT sockets; for WinNT 4.0 Server and SP3, 'n'=32767)
# default value: 32
# Note: For each socket there are three mutexes and one event allocated
#       (four system handles)
sockets		2000



iocpthreadno	10



#######################################################################
# odbc database definitions
# database - indicates the back-end to be used
# 'BlueMaple-ODBC' denotes the Nortel Directory Server using ODBC to access
database	BlueMaple-ODBC

#######################################################################
# includes the back-end configuration file (full path)
# FOR MapleODBC should be slapd.odbc.conf
#include	"slapd.odbc.conf"

#---------------------------------------------------------------------
# suffix - this is the only one top dn (root dn) for the back-end
# this root dn is used for White Pages. All the user entries must be 
# located under this tree
suffix   "dc=nortel,dc=ca"

#---------------------------------------------------------------------
# usecltcache - use the LDAP client cache or not (none, local, server or all)
usecltcache all

#---------------------------------------------------------------------
# dynloadschema- load the LDAP schema dynamically or not (none, local, server or all)
dynloadschema local

#----------------------------------------------------------------------
# Referral - designates the refferal LDAP server returned for queries
# against wrong root dns.
#Referral              allstar.nortel.com


#----------------------------------------------------------------------
# DataSource - ODBC data source name
# Note: this is Nortel specific
DataSource          blue

#----------------------------------------------------------------------
# SvcDataSource - ODBC data source name, when running as a service
# Note: this is Nortel specific
SvcDataSource   blue

#----------------------------------------------------------------------
# DefaultUserID - the ODBC user used to perform ODBC actions (possible 
# requires write access for the add, delete and modify operations)
# Note: this is Nortel specific
DefaultUserID   blue

#----------------------------------------------------------------------
# DefaultUserPwd - the password for the ODBC user used to perform ODBC 
# actions 
# Note: this is Nortel specific
DefaultUserPwd  ********

#----------------------------------------------------------------------
# wake-up interval, in seconds
# Note: this is Nortel specific
BackgroundInterval	60



